.TH ssh_sftpd 3 "ssh  1.1.6" "Ericsson AB" "ERLANG MODULE DEFINITION"
.SH MODULE
ssh_sftpd \- Specifies a channel process to handle a sftp subsystem\&.
.SH DESCRIPTION
.LP
Specifies a channel process to handle a sftp subsystem\&.

.SH COMMON DATA TYPES 
.LP
\fIsubsystem_spec() = {subsystem_name(), {channel_callback(), channel_init_args()}} \fR
.LP
\fIsubsystem_name() = "sftp"\fR
.LP
\fIchannel_callback() = atom()\fR - Name of the erlang module implementing the subsystem using the ssh_channel behavior see ssh_channel(3)
.LP
\fI channel_init_args() = list() - The one given as argument to function subssystem_spec/1\&.\fR
.SH EXPORTS
.LP
.B
subsystem_spec(Options) -> subssystem_spec()
.br
.RS
.TP
Types
Options = [{Option, Value}]
.br
.RE
.RS
.LP
Should be used together with ssh:daemon/[1,2,3]
.LP
Options are:
.RS 2
.TP 4
.B
\fI{cwd, String}\fR:
Sets the initial current working directory for the server\&.
.TP 4
.B
\fI{file_handler, CallbackModule}\fR:
Determines which module to call for communicating with the file server\&. Default value is \fIssh_sftpd_file\fR that uses the file and filelib API:s to access the standard OTP file server\&. This option may be used to plug in the use of other file servers\&.
.TP 4
.B
\fI{max_files, Integer}\fR:
The default value is \fI0\fR, which means that there is no upper limit\&. If supplied, the number of filenames returned to the sftp client per \fIREADDIR\fR request, is limited to at most the given value\&.
.TP 4
.B
\fI{root, String}\fR:
Sets the sftp root directory\&. The user will then not be able to see any files above this root\&. If for instance the root is set to \fI/tmp\fR the user will see this directory as \fI/\fR and if the user does cd \fI/etc\fR the user will end up in \fI/tmp/etc\fR\&. 
.RE
.RE
